GCC Error: cc1plus: error: unrecognized command line option "-std=c++11"


cc1plus: error: unrecognized command line option "-std=c++11"


 

This is because of the lower version of gcc in the server. To resolve this problem, we need to upgrade gcc.

#yum install centos-release-scl-rh

#yum install devtoolset-3-gcc devtoolset-3-gcc-c++

#scl enable devtoolset-3 bash

 

Leave a Reply

Your email address will not be published. Required fields are marked *